$ErrorActionPreference = 'Stop';

$url = 'https://github.com/bitwarden/clients/releases/download/desktop-v2024.2.0/Bitwarden-Installer-2024.2.0.exe'
$checksum = '2954CF74CF13FB101C6B7B604CF35F25ECC7B9C55B07AF4867C8DA4D60256D45'

$packageArgs = @{
  packageName   = 'bitwarden'
  fileType      = 'EXE'
  softwareName  = 'Bitwarden'
  url           = $url
  checksum      = $checksum
  checksumType  = 'sha256'
  silentArgs    = '/S'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
